EDIT - feature request #4452

p2 update problem with nebula compositetable dependency
10/28/2014 05:47 PM - Cherian Mathew

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal

Description

The eclipse nebula compositetable dependency blocks the update of the taxeditor , since the taxeditor update mechanism expects
an updated version of the jar.

This problems comes from the fact that we are using the p2 repository of the nebula project and since the compositetable is still in
incubation, the repository is a snapshot one - http://www.eclipse.org/nebula/downloads.php.

This implies that for every build of the taxeditor the latest version of the compositetable jar will be pulled from the snapshot
repository, which could potentially change on a daily basis, leading to the problem we have.

The solution would be to have a stable repository (p2 or maven) so that we can use a stable version of nebula widgets in building the
editor and change only when we need to.

Related issues:

Related to EDIT - bug #6539: Build problems for taxeditor post 4.6 release Closed
Related to EDIT - bug #6781: Automatic update does not work anymore for TaxEd... Closed
Related to EDIT - bug #7079: P2 updates not found Closed
History

#1 - 10/28/2014 06:14 PM - Cherian Mathew

- Status changed from New to In Progress

changed nebula p2 repository to the one which is archived but stable (retention period of 2 years starting Q32014) - r22022
The more long-term solution will be to have our own p2 repository with these plugins

#2 - 10/29/2014 12:00 AM - Andreas Miiller

Replying to c.mathew:

The more long-term solution will be to have our own p2 repository with these plugins

sounds good as long as there are no licence problems involved

#3 - 10/29/2014 10:11 AM - Cherian Mathew

Good point. | don't see a mention of the license on the project site http://www.eclipse.org/nebula/downloads.php, but they are offering the entire
repository as a zip download, so it seems like it can be redistributed.

Also, | have checked the fix when trying to update today using yesterdays version of the editor. The version of the compositetable is the one from the
newly set repo and the updates run through without problems.

#4 - 11/24/2014 01:29 PM - Cherian Mathew
- Target version deleted (TaxEditor RELEASE 3.4.0)

Moving tickets to 3.4.1 milestone

#5 - 03/16/2015 05:32 PM - Cherian Mathew

- Target version deleted ()
Moving tickets that were auto assigned to me to the unassigned milestone

#6 - 06/24/2015 11:31 AM - Andreas Miiller
- Target version deleted ()

- Priority changed from New to Priority13

#7 - 03/28/2017 10:53 AM - Patrick Plitzner
- Description updated
- Assignee changed from Cherian Mathew to Patrick Plitzner

- Target version changed from Reviewed Next Major Release to Release 4.7

With the change to eclipse neon we have to check if the update still works because | have also used the latest release of the nebula widgets

#8 - 03/28/2017 10:53 AM - Patrick Plitzner
- Related to bug #6539: Build problems for taxeditor post 4.6 release added

#9 - 05/04/2017 02:30 PM - Andreas Miiller

- Tags set to eclipse4

#10 - 05/05/2017 03:04 PM - Patrick Plitzner

- Status changed from In Progress to Closed

Updating the nightly build works fine

#11 - 05/10/2017 06:44 PM - Andreas Miiller

- Private changed from Yes to No

#12 - 08/02/2017 11:22 AM - Patrick Plitzner
- Related to bug #6781: Automatic update does not work anymore for TaxEditor added

#13 - 11/22/2017 01:25 PM - Andreas Miiller
- Related to bug #7079: P2 updates not found added

#14 - 08/29/2018 12:20 PM - Andreas Miiller
- % Done changed from 0 to 100

#15 - 07/06/2020 02:35 PM - Andreas Kohlbecker

- Tags changed from eclipse4 to eclipse4, eclipse-p2
